#!/usr/local/bin/perl

		# The following script simply displays a sample HTML form
		# which takes advantage of the form_processor script.
		# This form shows how one might use the script to help a
		# customer select and download a specific product by using
		# select boxes and the "Location" http header in the setup
		# file reply subroutines.
		#
		# It is important to note that you don't actually need to
		# embed your HTML forms in CGI scripts.  You could simply
		# write them as plain old HTML files.  However, because
		# some servers do not allow you to place HTML files in the
		# same directory as your CGI files, I have made everything
		# CGI so that the demo distribution files would work for
		# everyone, everywhere.
		#
		# The script begins by sending out the http header as
		# usual and then uses the qq operator to print out the
		# entire HTML document.
		#
		# However, since we are using a CGI to display our form,
		# we must be careful to escape special Perl characters
		# like "@" and make sure that we do not include any tilde
		# characters in our text since we are using the tilde as a
		# print delimiter with the qq operator.
		#
		# There are only two things that you must include in EVERY
		# form that uses the form_processor.cgi backend.  Firstly,
		# you must reference form_processor.cgi in the <FORM> tag,
		# and secondly, you must define the setup file which
		# form_processor.cgi should use to process the form using
		# the special hidden variable "setup file"
		#
		# Finally, there is one optional tag which can be used to
		# modify how the script handles email.  If you include a
		# field called "client_email", then the email which is
		# sent to the admin with all of the client-submitted data
		# will be sent as if it were coming from the email
		# associated with client_email.  Thus, in this example,
		# the client can type in their email in the text box and
		# then email will be sent from that address.  This makes
		# it easier to respond directly to the client if
		# necessary.  If the client does not fill in the box, the
		# script will use the default email address defined in the
		# setup file.

print "Content-type: text/html\n\n";
print qq~

<HTML>
<HEAD>
<TITLE>Downloading Microline Software Products Page</TITLE>
</HEAD>
<BODY BGCOLOR = "FFFFFF" TEXT = "000000">


<FORM ACTION = "../form_processor.cgi" METHOD = "POST">

<INPUT TYPE = "hidden" NAME = "setup_file" VALUE = "download.setup">

<BLOCKQUOTE>
Thank you for your interest in our products.  Please select which product
that you would like to download in the select box below and click the
submit button on the bottom of this page. 

<P>

Also, if you have a moment, please also fill out the supplementary
information in the table below.  Filling out this information is optional,
but it will help us build better products for you in the future.  Thanks
again!

<P>

<TABLE BORDER = "0">
<TH>Desired Product for Download</TH>
<TD><SELECT NAME = "product">
<OPTION SELECTED VALUE = "component">Microline Component Toolkit
<OPTION VALUE = "view">Microline View Toolkit
<OPTION VALUE = "widget">Microline Widget Library
</SELECT></TD>
</TR>

<TH>Desired Platform</TH>
<TD><SELECT NAME = "platform">
<OPTION SELECTED VALUE = "pc">PC
<OPTION VALUE = "unix">UNIX
<OPTION VALUE = "mac">Macintosh
</SELECT></TD>
</TABLE>

<P>

<CENTER><HR WIDTH = "50%">

<H2>Optional Information</H2>

<TABLE BORDER = "1" CELLSPACING = "4" CELLPADDING = "4">
<TR>
<TH ALIGN = "left">Name</TH>
<TD><INPUT TYPE = "text" NAME = "name" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Company</TH>
<TD><INPUT TYPE = "text" NAME = "company" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Phone Number</TH>
<TD><INPUT TYPE = "text" NAME = "phone" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Fax Number</TH>
<TD><INPUT TYPE = "text" NAME = "fax" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">E-mail Adrress</TH>
<TD><INPUT TYPE = "text" NAME = "client_email" MAXLENGTH = "40" SIZE =
"40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Address 1</TH>
<TD><INPUT TYPE = "text" NAME = "address_1" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Address 2</TH>
<TD><INPUT TYPE = "text" NAME = "address_2" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">City</TH>
<TD><INPUT TYPE = "text" NAME = "city" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">State</TH>
<TD><INPUT TYPE = "text" NAME = "state" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Zip Code</TH>
<TD><INPUT TYPE = "text" NAME = "zip" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">Country</TH>
<TD><INPUT TYPE = "text" NAME = "country" MAXLENGTH = "40" SIZE = "40"></TD>
</TR>

<TR>
<TH ALIGN = "left">How did you hear about us?</TH>
<TD><SELECT NAME = "source">
<OPTION>Browsing/Search Engine
<OPTION>Gamelan
<OPTION>JARS
<OPTION>C|Net
<OPTION>Magazine
<OPTION>Other
<OPTION>Netscape
<OPTION>Sun
</SELECT></TD>
</TR>

</TABLE>



<P>
<CENTER>
<INPUT TYPE = "submit" VALUE = "Submit info and download sotware.">
<BR><FONT SIZE = "-1">By clicking on the above button you agree to the
terms of the <B>License Agreements</B> of the software you are
downloading.</FONT> 
</CENTER>  
</BLOCKQUOTE>
</FORM>
</BODY>
</HTML>


~;

